Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
filmique 2.6.1 : problème de tassement de l'histogramme à gauche
#41
Je n'ai pas ce problème concernant les nouvelles instances de module avec la version que j'ai compilé en début d'après midi.
2.7.0+625~gaf997cb8e

Sinon, je le répète car il y a eu confusion pendant un temps, pour la 2.6.1 sans l'OpenCL Aurélien donne cette proposition transitoire de modifier le fichier darktablerc.
Il est dans votre /home dans le dossier ~/.config/darktable/ (Ctrl + H pour afficher les éléments cachés)
Puis avec votre éditeur de texte préféré cherchez l'occurrence codepaths/openmp_simd=false
Changez false par true, enregistrez ainsi, lancez darktable... vous ne devriez plus avoir le problème avec filmique
#42
(09-03-19, 19:41)nicoauffray a écrit :
(09-03-19, 19:32)Fotia a écrit : Bonsoir à tous,

Je suis sur Debian et j'ai rencontré le même problème après avoir actualisé à la version 2.6.1 : si j'active "préserver la chrominance" sur filmic l’histogramme s'entasse à gauche. Les RAW qui était développés sous la version 2.6 sont affectés aussi.
J'ai changé pour la version master et l'option "préserver la chrominance" marche comme il se doit. Alors sur la version master je rencontre le problème de ne pas pouvoir créer des nouvelles instances sur les modules. Je suis coincé.

J'ai aussi ce problème sur la version master. Je viens de poster le bug sur redmine pour qu'un développeur voit ce qui a causé cette régression.

Sur master ? Avec quelle variante du code ?
Aurélien, photographe portraitiste, spécialiste calcul.
Développeur de filmique, égaliseur de tons, balance couleur, etc.
darktable est mon métier, pensez à m'aider :
[Image: 2FAd4rc]
#43
(09-03-19, 20:42)aurelienpierre a écrit :
(09-03-19, 19:41)nicoauffray a écrit :
(09-03-19, 19:32)Fotia a écrit : Bonsoir à tous,

Je suis sur Debian et j'ai rencontré le même problème après avoir actualisé à la version 2.6.1 : si j'active "préserver la chrominance" sur filmic l’histogramme s'entasse à gauche. Les RAW qui était développés sous la version 2.6 sont affectés aussi.
J'ai changé pour la version master et l'option "préserver la chrominance" marche comme il se doit. Alors sur la version master je rencontre le problème de ne pas pouvoir créer des nouvelles instances sur les modules. Je suis coincé.

J'ai aussi ce problème sur la version master. Je viens de poster le bug sur redmine pour qu'un développeur voit ce qui a causé cette régression.

Sur master ? Avec quelle variante du code ?

Aucune variante, la master révision af997cb8. Et la seule différence avec JacoTux (qui utilise la même révision que moi) est que j'utilise actuellement le paquet Ubuntu de la branche master sur OpenSuse. Après compilation et installation dans un autre dossier de la même révision depuis les sources, j'ai le même problème. Testé également avec un nouveau fichier darktablerc, même problème.
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master
#44
Je confirme sans l'OpenCL Ubuntu 18.04
J'ai modifié le fichier darktablerc.
Il est dans /home dans le dossier ~/.config/darktable/ (Ctrl + H pour afficher les éléments cachés)
Puis avec éditeur de texte cherchez l'occurrence codepaths/openmp_simd=false
Changez false par true, enregistrez ainsi, lancez darktable...
Et c'est bon! Merci!
#45
Ok j'ai identifié la cause du bug sur la multi-instanciation. C'est facile à régler. Je fais ça dans la journée.
Aurélien, photographe portraitiste, spécialiste calcul.
Développeur de filmique, égaliseur de tons, balance couleur, etc.
darktable est mon métier, pensez à m'aider :
[Image: 2FAd4rc]
#46
OK c'est bon, j'ai du passer par le terminal pour re-installer le PPA et enfin bénéficier de la 2.6.1
Depuis le passage à la 18.04.2, j'ai perdu l'opencl sur ma nvidia, à priori de ce que j'ai pu comprendre, il y a un conflit au niveau d'une dépendance, donc j'ai suivi le conseil de changer codepaths/openmp_simd=false à true, et effectivement cela corrige le problème pour cette nouvelle version. Merci!
#47
(08-03-19, 20:03)aurelienpierre a écrit : Je n'ai pas testé 2.6.1 mais vos résultats ne sont pas normaux. La version master fonctionne sans problème depuis près de 3 mois, je pencherais pour une erreur à l'intégration de master -> 2.6.1

Bingo, j'ai trouvé. Le patch https://github.com/darktable-org/darktab...2030/files n'a pas été intégré dans 2.6.1.

Bon voilà https://github.com/darktable-org/darktable/issues/2176

Il faut un (hard)core dev pour s'en occuper (Pascal :-) )

Bonjour Aurelien,

Je confirme que cela résout le problème sur mon ordi (debian 9 sans support openGL). Je viens d'appliquer le patch à la 2.6.1 c'est à dire ajouter la ligne manquante dans le fichier filmic.c, recompiler le tout  et l'installer dans le dossier /opt (je suis parti des sources darktable-2.6.1.tar.xz). Le module filmic est encore plus facile à utilser. Les presets fonctionnent à merveille.
#48
J'espère que les distributions linux vont attendre ces correctifs pour compiler pour leur distribution.
Petit incident de parcours.
Le module filmic est encore plus facile à utiliser dans la version 2.6.1, bonne nouvelle.
Sous solus, j'attends la 2.6.1
En attendant si quelqu'un pouvait faire une courte vidéo des nouveautés les plus marquantes de cette version, pour voir ...
Impatience ...
Lille. Hauts de France
Site web : http://www.philippedeletree.fr
Youtube : Darktable
Linux Solus

#49
> Il faut un (hard)core dev pour s'en occuper (Pascal :-) )

Oui Smile J'ai oublié un patch pour la 2.6.1. Malheureusement je ne peut pas faire de release trop rapprochée car c'est du temps et pas mal d'actions manuelles. Ce qui est certain c'est que ce sera dans la 2.6.2 que l'on peut essayer de faire avant l'été.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
#50
(10-03-19, 11:45)pascal a écrit : > Il faut un (hard)core dev pour s'en occuper (Pascal :-) )

Oui Smile J'ai oublié un patch pour la 2.6.1. Malheureusement je ne peut pas faire de release trop rapprochée car c'est du temps et pas mal d'actions manuelles. Ce qui est certain c'est que ce sera dans la 2.6.2 que l'on peut essayer de faire avant l'été.

Et une 2.6.1 rev2 ou 2.6.1-2, pas possible (en gros simplement ajouter le patch à la 2.6.1 et refaire les paquets) ? A moins que ça revienne au même en termes d'actions qu'une 2.6.2 ?
Aussi appelé Nilvus !
Ubuntu 20.04 LTS - darktable master


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)